Activate order and process payment

Activates the order and processes the initial payment using the provided Stripe confirmation token.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

orderIdstringRequired

The order ID (can be internal ID or display ID)

Request

This endpoint expects an object.
confirmationTokenstringRequired
Stripe confirmation token for the payment method
returnUrlstringRequired
URL to redirect to after payment processing

Response

Order activated and payment processed successfully
idstring or null
namestring or null
descriptionstring or null
customerIdstring or null
organizationIdstring or null
startDatestring or null
endDatestring or null
totalAmountdouble or null
estimatedTaxdouble or null
billedAmountNoTaxdouble or null
billedTaxdouble or null
totalBilledAmountdouble or null
pendingBillingAmountdouble or null
creationStateenum or null
Allowed values:
orderLineslist of objects or null
customerobject or null

Errors